﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<dynamic>" %>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <div id="layout" class="two-columns">
        <div id="contents">
            <div class="remember_me">
                <a href="#">¡Avísame antes de que se acabe!</a></div>
            <p class="backtoparrilla">
                <a name="menupermanentoffers" href="../Home/Index">Volver a las Ofertas</a>
            </p>
            <!-- START SINGLE OFFER -->
            <% DEOCIO.Models.ProductModel p = (DEOCIO.Models.ProductModel)ViewData["product"];

               decimal save = Math.Round(100 - (((p.OfferPrice * 100) / p.Price)), 0);
               TimeSpan ts = (DateTime)p.SellEndDate - DateTime.Now;

               int days = ts.Days;
               int hours = ts.Hours;
               int minuts = ts.Minutes;

               
            %>
            <div class="single-offer">
                <h1>
                    <span class="discount">-<%=  save%>%</span> <a href="<%= Url.Action( "OfferDetail" , "Offer" , new {OfferId = p.ProductID } ) %>">
                        <%=  p.ProductShortDesc %></a></h1>
                <div class="left-sidebar">
                    <a name="offerbuybuttontop" href="../Offer/BuyOffer?OfferId=<%= p.ProductID%>" class="buy_btn  ">
                        <span class="price">
                            <%=  Math.Round(p.OfferPrice,0) %>
                            €</span> Comprar</a>
                    <ul class="prices">
                        <li>Precio<br />
                            <%=  Math.Round(p.Price,0) %>
                            €</li>
                        <li>Descuento<br />
                            <%=  save%>
                            %</li>
                        <li>Ahorro<br />
                            <%=  Math.Round(p.Price - p.OfferPrice,0)%>
                            €</li>
                    </ul>
                    <ul class="timer">
                        <li class="main">Tiempo restante</li>
                        <li><span id='days_to'>
                            <%= days %></span>d</li>
                        <li><span id='hours_to'>
                            <%=  hours %></span>h</li>
                        <li><span id='minutes_to'>
                            <%=  minuts %></span>m</li>
                    </ul>
                    <p class="regala">
                        <a href="#" onclick="">¡Regálaselo a un amigo!</a>
                    </p>
                    <p class="regala me" style="cursor: pointer;" onclick="">
                        ¡Quiero que me lo regalen!
                    </p>
                    <ul class="bestof" style='border-bottom: none;'>
                        <li class="main">Lo mejor:</li>
                        <% 

                            foreach (string thebest in p.BestOfDescription)
                            {
                        %>
                        <li>
                            <%= thebest.ToString()%></li>
                        <% 
                            } %>
                    </ul>
                </div>
                <!-- left-sidebar -->
                <div class="offer-pic" id='img_slideshow'>
                    <div class="wt-rotator">
                        <div class='screen'>
                            <noscript>
                                <img style='width: 515px; height: px; border: 3px solid blue;' src="<%= Url.Action( "GetThumbnailsImage" , "Home" , new {ProductId = p.ProductID} ) %>"
                                    alt="" title="" itemprop="image" height="" width="515" />
                            </noscript>
                        </div>
                        <div class='c-panel'>
                            <div class="buttons">
                                <div class="prev-btn">
                                </div>
                                <div class="play-btn">
                                </div>
                                <div class="next-btn">
                                </div>
                            </div>
                            <div class="thumbnails">
                                <ul>
                                    <%
                                        foreach (DEOCIO.DataModel.Products.dtProductPhoto_RecoveryByIdResult PH in (IEnumerable)ViewData["ProdPhotos"])
                                        {
                                    %>
                                    <li><a href="<%= Url.Action( "GetThumbnailFile" , "Home" , new {PhotoId = PH.ProductPhotoID} ) %>">
                                        <img src="<%= Url.Action( "GetThumbnailFile" , "Home" , new {PhotoId = PH.ProductPhotoID} ) %>"
                                            alt="" width="515px" />
                                    </a></li>
                                    <% } %>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="social">
                    <ul>
                        <li>Comparte esta oferta:</li>
                        <li class="facebook"><a name="offersharefacebook" href="#">
                            <img src="../../Content/images/facebook.png" alt="Compartir en Facebook" title="Compartir en Facebook" />
                        </a></li>
                        <li class="twitter"><a name="offersharetwitter" target="_blank" href="#">
                            <img src="../../Content/images/twitter.png" alt="Compartir en Twitter" title="Compartir en Twitter" />
                        </a></li>
                        <li class="googleplus">
                            <img src="../../Content/images/googleplus.png" alt="Google+" title="Google+" />
                        </li>
                        <li class="mail"><a href='#'>
                            <img src="../../Content/images/email.png" alt="Enviar por email" title="Enviar por email" /></a>
                        </li>
                    </ul>
                </div>
                <!-- OFFER CONTENT -->
                <div class="left-content" style="position: absolute;">
                    <h6>
                        Localización</h6>
                    <div class="maps">
                        
                        <!-- oferta-->
                        <% 
                            DEOCIO.DataModel.Products.dtProductLocation_RecoveryByProductIdResult Location = (DEOCIO.DataModel.Products.dtProductLocation_RecoveryByProductIdResult)ViewData["ProductLocation"];
                        %>
                        <div style="color: Black;">
                            <p>
                                <%= Location.AddressLine1.ToString()%><br />
                                <%= Location.AddressLine2.ToString()%><br />
                                (<%= Location.PostalCode.ToString()%>)
                                <%= Location.City.ToString()%>
                                (<%= Location.Name.ToString()%>)<br />
                                <br />
                            </p>
                        </div>
                    </div>
                    <h6>
                        <% if (p.Comments.Count().Equals(0))
                           {  %>
                        No hay comentarios de usuarios.
                        <% }
                           else
                           {  %>Hay
                        <%= p.Comments.Count()%>
                        Comentarios de usuarios:<% } %></h6>
                    <% 
                        foreach (DEOCIO.Models.dtProductReviews coment in p.Comments)
                        {
                    %>
                    <p style="text-align: justify;">
                        <strong>
                            <%= coment.dtProductReview.ReviewerName.ToString()%></strong> comentó el
                        <%= coment.dtProductReview.ReviewDate.ToShortDateString()%>:<br />
                        "<em><%= coment.dtProductReview.Comments.ToString()%>
                            <strong>Puntuación (<%= coment.dtProductReview.Rating.ToString()%>/10)</strong></em>"
                    </p>
                    <hr style="color: #FFF" />
                    <% 
                        } %>
                    <% if (p.ProductBuyByUser > 0)
                       { %>
                    <h6>
                        Escriba aquí su comentario:</h6>
                    <% Html.BeginForm("Comments", "Offer", null, FormMethod.Post, new { @id = "AddComent", @name = "AddComent" });

                       { %>
                    <p style="padding: 7px;">
                        Su comentario:
                        <%= Html.TextArea("Commenttxt", new { Style = "width:220px; height:100px;" })%>
                        <br />
                        <br />
                        Puntuación:
                        <%= Html.TextBox("txtPuntuacion", "0", new { style = "width:20px;text-align: center; border:none;", maxlength = "5", @readonly = "readonly" })%>
                        de 10
                    </p>
                    <div id="Puntuacion" style="margin-left: 20px; margin-right: 20px; vertical-align: top;">
                    </div>
                    <%= Html.Hidden("ProductId",p.ProductID) %>
                    <br />
                    <br />
                    <div style="text-align: center">
                        <a href="#" class="link4" onclick="document.getElementById('AddComent').reset()"><span>
                            <span>Limpiar</span></span></a><a href="#" class="link2" onclick="validateCommentForm();"><span><span>Enviar</span></span></a></div>
                    <%
                       }
                       }
                    %>
                </div>
                <!-- left content -->
                <div class="right-content">
                    <div class="description" id='description_full' itemprop="description">
                        <h3>
                            Descripción de la oferta</h3>
                        <p style="text-align: justify;">
                            <%= p.ProductDescription %>
                        </p>
                    </div>
                    <div class="includes">
                        <p style="text-align: -webkit-auto;">
                            <strong class="violeta">Proceso de compra</strong></p>
                        <ul style="text-align: justify;">
                            <li>El pedido se realiza a trav&eacute;s de nuestra web (DEOCIO.ES).</li>
                            <li>Para recibir correctamente tu pedido, es necesario introducir los campos solicitados
                                en el formulario de la compra: nombre y apellidos, direcci&oacute;n de env&iacute;o,
                                CP y tel&eacute;fono.</li>
                            <li>Podrás imprimir al instante el comprobante que te dará acceso al servicio contratado.</li>
                        </ul>
                        <p style="text-align: justify;">
                            <strong>Gastos de env&iacute;o incluidos en Pen&iacute;nsula y Baleares.</strong>
                            No se realizan env&iacute;os a Canarias, Ceuta, Melilla, ni a direcciones de Apartados
                            de Correos.</p>
                    </div>
                    <h3>
                        Condiciones</h3>
                    <ul>
                        <ul>
                            <li>No se aceptan cambios ni devoluciones.</li>
                 
                        <li class='general_condition'>Sigue las instrucciones indicadas
                            en la oferta.</li>
                        <li class='general_condition'>Recuerda que con esta promoción
                            no recibirás cupón ya que la compra se realiza a través de DEOCIO.ES.</li>
                    </ul>
                    <p class="downbutton">
                        <a name="offerbuybuttonbot" href="../Offer/BuyOffer?OfferId=<%= p.ProductID%>" class="buy_btn_down  ">
                            <span class="price">
                                <%= Math.Round(p.OfferPrice,0) %>
                                €</span> Comprar</a></p>
                </div>
                <div style="height: 400px;">
                    &nbsp;
                </div>
                <!-- right-content -->
            </div>
        </div>
        <!-- #contents -->
        <% Html.RenderPartial("Slidebar"); %>
    </div>
    <script type="text/javascript" language="javascript"> 
    $("#Puntuacion").slider({
    min: 0, max: 10, range: "min", slide: function (event, ui) 
    { $("#txtPuntuacion").val(ui.value);
    } }); 
    function validateCommentForm() { if ($("#Commenttxt").val() == "") {
            alert("Debe escribir un comentario...");
        }
        else {
            document.getElementById('AddComent').submit();
        } 
    } </script>
    <script type="text/javascript">        $(document).ready(function () {
            $("#img_slideshow").wtRotator({
                width: 515, height: 345, cpanel_mouseover: true, auto_center: true, transition:
    "fade", mouseover_pause: true, button_width: 16, button_height: 16, display_timer:
    true, display_numbers: true, display_dbuttons: false, display_thumbs: true, display_playbutton:
    false
            });
        }); </script>
</asp:Content>
