﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

// Utilidades Comunes
namespace DEOCIOAPP.Models
{
    class Utils
    {

        //**************************************************************************
        //Nombre: ImageToBinary()
        //Descripción: Devuelve un array de datos binarios de la imagen pasada por parámetros.
        //@params [string imagePath]
        //@return [byte[]]
        //**************************************************************************
        public static byte[] ImageToBinary(string imagePath)
        {
            FileStream fileStream = new FileStream(imagePath, FileMode.Open, FileAccess.Read);
            byte[] buffer = new byte[fileStream.Length];
            fileStream.Read(buffer, 0, (int)fileStream.Length);
            fileStream.Close();
            return buffer;
        }

    }

    //**************************************************************************
    //Clase: ComboboxItem
    //Descripción: Será la clase utilizada para insertar valores en los COMBOS
    //**************************************************************************
    public class ComboboxItem
    {
        public string Text { get; set; }
        public object Value { get; set; }

        public override string ToString()
        {
            return Text;
        }
    }
}
