var making_request = false;
function updatePrices() {
	total = 0;
	savings = 0;
	// Iteramos por cada producto
	$("*[id^='howmany_']").each(function() {
		var id_product = $(this).attr('id').replace('howmany_', '');
		if ((!$(this).is('input[type=checkbox]')) || $(this).is(':checked')) {
			// if(id_product == 11677594);
			var total_product = $(this).val() * products[id_product].price;
			var savings_per_prod = products[id_product].price_original
					- products[id_product].price;
			total += total_product;
			// alert($("#price_"+id_product).text());
			savings += $(this).val() * savings_per_prod;
			$('#total_product_' + id_product).text(total_product.toFixed(2));
		} else if ($(this).is('input[type=checkbox]')) {
			$('#total_product_' + id_product).text('0.00');
		}
		
		/*
		 * //Y vamos con los putos fields if($(this).attr('has_custom')==1)
		 * paint_custom_fields(id_product,$(this).val(),$(this).attr("title"));
		 */
	});
	
	updateCustomFields();
	
	// Aplicar Gastos de envío
	if(campaign_ptype == 'product')
		shipment_taxes();
	
	// Aplicar promocode si pertoca
	updateWholesaler();
	updatePromocode();
	updatePoints();
	
	if (!parseFloat(savings))
		savings = 0;
	// si no hay decimales que no los muestre
	if (parseFloat(savings.toFixed(1)) == parseFloat(savings.toFixed()))
		$('#total_savings').text(savings.toFixed());
	else
		$('#total_savings').text(savings.toFixed(1));
	if (savings.toFixed(2) == 0)
		$('#buy-sidebar-right #savings').hide();
	else
		$('#buy-sidebar-right #savings').show();
	$('#final_cost').text(total.toFixed(2));
	if (total.toFixed(2) == 0) {
		$(".hide").show();
		$("#text_normal").hide();
		$("#text_free").show();

		if($("#food2homecash").length>0 && $("#food2homecash").val()==1)
		{
			$("#text_free").text("Confirmar pedido");
		}
		else
		{
			$("#text_free").text("Gratis");
		}
	} else {
		$(".hide").hide();
		$("#text_free").hide();
		$("#text_normal").show();
	}
	
	if ($("#paypal:checked").val() == 'paypal')
		paypal_comission('paypal');

}

function shipment_taxes()
{
	var weight_total = 0;
	$("*[id^='howmany_']").each(function() {
		var id_product = $(this).attr('id').replace('howmany_', '');
		weight_total = weight_total + (products[id_product].weight * $(this).val());
	});
	$.ajax( {
		url : '/purchase_v2/json_get_shipment_price',
		type : 'POST',
		async : false,
		data : {
			id : id_campaign,
			weight : weight_total
		},
		success : function(response) {
			if(response != ""){
				$("#total_product_shipment").text((parseFloat(response)).toFixed(2));
				total = (parseFloat(total) + parseFloat(response));
			}
			else{
				response = 0;
				$("#total_product_shipment").text((parseFloat(response)).toFixed(2));
				total = (parseFloat(total) + parseFloat(response));
			}
		}
	});
}

function paypal_comission(tipo) {
	if (tipo == 'paypal') {
		var paypal_amount = ($("#final_cost").text() * 0.02).toFixed(2);
		$("input[name=paypal_comission]").attr('value', '1');
		$("#price_paypal").text(paypal_amount);
		$("#total_product_paypal").text(paypal_amount);
		$("*[name=paypal_item]").show();
		$("#products_table").css("display", "block");
		$("#final_cost").text(($("#final_cost").text() * 1.02).toFixed(2));
	} else {
		updatePrices();
		$("input[name=paypal_comission]").removeAttr('value');
		$("*[name=paypal_item]").hide();
		if ($("#products_table").find(".product_row").length == 0)
			$("#products_table").css("display", "none");
	}

}

function updateWholesaler() {

	wholesaler_discount = $("#wholesaler_discount").val();

	if (wholesaler_discount) {
		todescount = 0;
		for ( var i in products) {
			if ((((products[i].comision) * wholesaler_discount / 100) * $(
					"#howmany_" + i).val())) {
				todescount += (((products[i].comision) * wholesaler_discount / 100) * $(
						"#howmany_" + i).val());
			}
		}

		$("#wholesaler_discount_value").text(todescount.toFixed(2));
		total = total - todescount;
	}
}

function updatePoints() {
	var moneypoints = points * conversion;
	if (moneypoints > total)
		moneypoints = total;
	var total_with_points = Math.max(total - moneypoints, 0);
	$("#saving_points").text(moneypoints.toFixed(2) + ' €');
	$("#total_cost_points").text(total_with_points.toFixed(2) + ' €');
	var usepoints = $("#usepoints_si")[0];
	if (usepoints && usepoints.checked) {
		$('#apply_promocode').attr('disabled', 'disabled');
		$('#promocode').attr('disabled', 'disabled');
		$('#promocode').addClass("promocode_disabled");
		$('#apply_promocode').addClass("apply_disabled");
		total = total_with_points;
		savings += moneypoints;
	} else {
		$('#apply_promocode').removeAttr('disabled');
		$('#promocode').removeAttr('disabled');
		$('#promocode').removeClass("promocode_disabled");
		$('#apply_promocode').removeClass("apply_disabled");
	}
}

function updatePromocode() {
	if ($('#use_promocode').val() != 1)
		return;
	var data = new Object();
	data['promocode'] = $('#promocode').val()
	if (data['promocode'] == '') // Borrar los datos si el tio borra el
	// codigo
	{
		$('#promocode').val('');
		$('#promocode_total').text('0.00');
		$('#promocode_price').text('');
		$("#use_promocode").val('0');
		if (worker != 1 && parseInt(points, 10) > min_points) {
			$('#usepoints_si').removeAttr('disabled');
			$("#points").css("display", "block");
		}
		return;
	}
	data['products'] = new Object();
	temporary_id=0;
	if($("#temporary_id").length)
		temporary_id=$("#temporary_id").val();

	$("td > *[id^='howmany_']")
			.each(function() { // Nos guardamos cuanto queremos de cada
						// producto
						data['products'][$(this).attr('id').replace('howmany_',
								'')] = $(this).val();
					});
	$.ajax( {
		url : '/purchase_v2/json_get_promocode',
		type : 'POST',
		async : false,
		data : {
			data : data,
			id_publication: id_pub,
			temporary_id: temporary_id
		},
		success : function(response) {
			if (response.promocode == null) {
				alert(response.error);
				$('#promocode').val('');
				$('#promocode_total').text('0.00');
				$('#promocode_price').text('');
				$("#use_promocode").val('0');
				if (worker != 1 && parseInt(points, 10) > min_points) {
					$('#usepoints_si').removeAttr('disabled');
					$("#points").css("display", "block");
				}
				return;
			} else {
				var discount = 0;
				if (response.promocode.discount_type == 'fixed') {
					discount = response.promocode.discount * 1;
					if (discount > total)
						discount = total;
					$('#promocode_price').text(
							'- ' + discount.toFixed(2) + ' €');
				} else {
					$('#promocode_price').text(
							'- ' + response.promocode.discount + '%');
					discount = total * (response.promocode.discount / 100);
				}
				$('#promocode_total').text('- ' + discount.toFixed(2));
				$('#usepoints_si').attr('disabled', 'disabled');
				$("#points").css("display", "none");
				var total_old = total;
				total = Math.max(total - discount, 0);
				savings = savings + Math.min(discount, total_old);
			}
		},
		error : function() {
			alert(errors_msg["standar_error"]);
		}
	});
}

function updateCustomFields() {
	// Crearemos una estructura anidada con un <div> de grupo de fields, dentro
	// tiene un <div> de cada producto, y cada uno tiene un <div> para cada
	// cupon.
	for (customGroup in custom_fields) {
		// Buscamos el div del grupo de fields. Si no existe lo creamos.
		var group_div = $("div[class='extras " + customGroup + "']"); // Ojo,
		// no se
		// puede
		// buscar
		// con
		// .clase,
		// porque
		// tiene
		// espacios
		if (!group_div.length) {
			group_div = $('<div>').addClass("extras").addClass(customGroup)
					.attr('style', 'clear:both').append(
							$('<h3>').text(customGroup)).append('<hr>');
		}
		for (idProduct in custom_fields[customGroup]) {
			// Buscamos el div del producto. Si no existe, lo creamos.
			var howMany = idProduct == 0 ? 1 : $('#howmany_' + idProduct).val();
			var product_div = group_div.find(".prod_" + idProduct);
			if (typeof howMany == "undefined")
				howMany = 0;
			if (!product_div.length) {
				var d = $('<div>').addClass("prod_" + idProduct).attr('style',
						'clear:both');
				if (idProduct != 0)
					d.append($('<h4>').text(
							idProduct == 0 ? msg_arr.data_for_purchase
									: msg_arr.data_for_product + ' '
											+ product_names[idProduct])); // idProducto
				// 0 es
				// para
				// la
				// compra
				// en
				// general
				product_div = d;

			}
			var current = product_div.find('div').length;
			/*
			 * Creamos los divs de cupones que falten respecto a los que ya
			 * hubiera antes. Los nombres de los inputs seran id field + cf + id
			 * producto, o id selector + cs + id producto, con [] de array
			 */
			if (current > 0) {
				product_div.find(".clear-fix").remove();
				current--;
			}

			for (i = current; i < howMany; i++) {
				var purchase_div = $('<div>').attr('style', 'clear:both');
				if (idProduct != 0)
					purchase_div.append($('<h5>').text(
							msg_arr.data_for_coupon + ' ' + (i + 1)));
				else {
					wholesaler_discount = $("#wholesaler_discount").val();
					if (wholesaler_discount) {
						purchase_div.append($('<h5>').text(
								msg_arr.data_for_client));
					}
				}
				for (custom_field in custom_fields[customGroup][idProduct]) {
					var customField = custom_fields[customGroup][idProduct][custom_field];
					if (customField.product_type
							&& $.inArray(customField.product_type, [ 'coupon',
									'goods', 'travel', 'insurance' ]) < 0) /*
																			 * Aquí
																			 * solo
																			 * nos
																			 * encargamos
																			 * de
																			 * los
																			 * custom
																			 * fields
																			 * normales
																			 */
						continue;
					// Los labels los metemos en un <p> para respetar el css.
					purchase_div.append($('<p>').addClass(".left_p").append(
							createCustomField(customField)));
				}
				// Solo añadimos el div si habian custom fields para esta
				// combinacion
				if (purchase_div.find('label').length)
					purchase_div.appendTo(product_div);
			}
			// Si hay divs de cupones de mas, los borramos
			while (product_div.find('div').length > howMany)
				product_div.find('div:last').remove();
			// Añadimos el div de producto si habia dentro divs de cupones. Si
			// no, lo borramos.
			if (product_div.find('div').length) {
				$("<div>").addClass("clear-fix").appendTo(product_div);
				product_div.appendTo(group_div);
			} else
				product_div.remove();
		}
		// Añadimos el div de grupo si al menos tiene un div de producto. Si no,
		// lo borramos.
		if (group_div.find('div').length)
			group_div.appendTo('#custom_container');
		else
			group_div.remove();
	}
	if ($("#custom_container").find("div").length == 0) {
		$("#custom_container").css("display", "none");
	} else {
		if (user_logged == 1)
			$("#custom_container").css("display", "block");
	}
	fix_step_numbers();
}

function createCustomField(customField) {
	var label = $('<label>').addClass("custom_label").text(customField.name)
			.append($('<br>'));
	switch (customField.type) {
	case 'short_text':
	case 'number':
		var input = $('<input>').addClass("custom_input").attr('type', 'text')
				.val(customField.default_value).attr(
						'name',
						customField.id_field + 'cf' + customField.id_product
								+ '[]')
		if (customField.long)
			input.attr('maxlength', customField.long)
		label.append(input);
		break;
	case 'long_text':
		label.append($('<textarea class="textarea">').addClass("custom_input")
				.val(customField.default_value).attr(
						'name',
						customField.id_field + 'cf' + customField.id_product
								+ '[]'));
		break;
	case 'date':
		input = $('<input>').addClass("custom_input").attr('type', 'text')
				.attr('readonly', 'readonly').val(customField.default_value)
				.attr(
						'name',
						customField.id_field + 'cf' + customField.id_product
								+ '[]').datepicker( {
					changeMonth : true,
					changeYear : true,
					yearRange : '-100y:+100y'
				})
		input.attr('createCustomField', customField.long);
		label.append(input);// Como se puede usar para fechas de nacimiento,
		// mejor lo configuramos así.
		break;
	case 'boolean':
		label.prepend($('<input>').addClass("custom_input").attr('type',
				'checkbox').attr('value', '1').attr('name',
				customField.id_field + 'cf' + customField.id_product + '[]'));
		break;
	case 'selector':
		var select = $('<select>').addClass("custom_input").attr('name',
				customField.id_selector + 'cs' + customField.id_product + '[]');
		$.each(customField.fields.split(','), function(i, value) {
			select.append($('<option>').attr('value', value).text(value));
		});
		label.append(select);
		break;
	}
	return label;
}

function fix_step_numbers() {
	if ($("#custom_container").css("display") == "none") {
		$("#pay_number").text(2);
	} else {
		$("#pay_number").text(3);
	}
}

function show_present(name) {
	pageTracker._trackEvent("buypage", name);
	$("#full_wrapper").after($("#popup_box"));
	if ($('#template_id')[0].value == "")
		load_style("");
	centerPopupSpecial();
	loadPopup();
}
function close_present(name) {
	pageTracker._trackEvent("buypage", name);
	disablePopup();
}
function cancel_present() {
	$("#my-mail")[0].checked = true;
	$("#gift-mail")[0].value = "";
	$("#gift-mail")[0].disabled = true;
	load_style("");
	$("#no-design")[0].checked = true;
	$("#from_name")[0].value = "";
	$("#notes")[0].value = "";
	update_text($("#notes")[0]);
	disablePopup();
}
function update_text(obj) {
	if (obj.value.length > 150)
		obj.value = obj.value.substr(0, 150);

	$("#char_left")[0].innerHTML = (150 - obj.value.length);
	$("#text").text(obj.value);
}

function load_style(id) {
	// cargar imagen
	$('#preview')[0].style.backgroundImage = 'url(/images/tickets/' + arr_templates[id] + ')';
	$('#template_id')[0].value = id;
	if (id != "") {
		$("#no-design")[0].checked = false;
		$("#notes")[0].disabled = false;
		$("#from_name")[0].disabled = false;
		$("#price")[0].innerHTML = "<p>"
				+ msg_arr['your_present']
				+ ":</p><p style='color: rgb(129, 1, 74); font-size: 15px; font-weight: bold;'>"
				+ cmpgn_title + "</p>";
	} else {
		$("#notes")[0].value = "";
		$("#notes")[0].disabled = true;
		$("#from_name")[0].value = "";
		$("#from_name")[0].disabled = true;
		$("#price")[0].innerHTML = "";
		$("#char_left")[0].innerHTML = "150";
		$("#text").text("");
		$("#from").text("");
	}

}

function attempt_payment() {
	if (making_request)
		return;

	if($("#food2homecash").length>0 && $("#food2homecash").val()==1)
	{
		if(!confirm("¿Deseas confirmar tu pedido? Recuerda que deberás pagarlo al recibirlo"))
			return;
	}

	// Si el coste es 0 paso del tema
	if ($("#ogone").is(":checked") && $("#final_cost").text() != '0.00'
			&& ($("#card_n")[0].value == "" || $("#cvc")[0].value == "")) {
		alert(errors_msg["fill_card_data"]);
		$("#card_n")[0].style.borderColor = "#b60000";
		$("#card_n")[0].style.borderStyle = "solid";
		$("#cvc")[0].style.borderColor = "#b60000";
		$("#cvc")[0].style.borderStyle = "solid";

		return;
	}

	var datos = $("#buy_form").serialize();
	// sacamos layer
	buy_layer("show");
	$.ajax( {
				url : "/purchase_v2/json_pay/" + id_pub,
				global : false,
				type : "POST",
				data : datos,
				dataType : "json",
				async : true,
				beforeSend : function() {
					making_request = true;
				},
				error : function(jqXHR, textStatus, errorThrown) {
					buy_layer("hide");
					$.ajax( {
						url : "/purchase_v2/alert_error/" + id_pub,
						global : false,
						type : "POST",
						data : ({ 
							datos : datos,
							textStatus : textStatus,
							errorThrown : errorThrown
						}),
						dataType : "json",
						async : true
					});
					alert('Error');
				},
				success : function(msg) {
					if (!msg) {
						buy_layer("hide");
						alert('Error');
						return;
					}
					if (msg.success) {
						document.location = msg.url;
						return;
					}

					if (msg.html) {
						if ($("#ogone").is(":checked")) {
							$("#secure_div >iframe")[0].contentDocument.body.innerHTML = msg.html;
							$("#buy_div")[0].style.display = "none";
							$("#secure_div")[0].style.display = "block";
							$($("#secure_div >iframe")[0]).load();
							$("#secure_div > iframe").contents().find(
									"form[name='downloadform3D']")[0].submit();
							return;
						} else {
							$("#buy_div")[0].style.display = "none";
							$("#tpv_form_div").html(msg.html);
							if ($("#paypal").is(":checked")) {
								$("#paypal_div")[0].style.display = "block";
							} else {
								$("#tpv_div")[0].style.display = "block";
							}
							$("#tpv_form_div form").submit();
							return;
						}
					}

					buy_layer("hide");

					$("#errors_div").html(msg.errors.join('<br/>'));
					$("#errors_div").show();
					if (msg.user_logged) {// Borrar divs de user nuevo si aunq
						// no haya ido bien la compra se ha
						// creado el user
						$(
								'#user_register_serious, #user_login_serious, #auth-selector')
								.remove();
					}
					if (msg.url) {
						document.location = msg.url;
						return;
					}
					if (msg.fields == "user_data") {
						$(".inputs > p > input").each(function() {
							if (this.type != "button") {
								this.style.borderColor = "#b60000";
								this.style.borderStyle = "solid";
							}
						});
						$(".inputs > p > select").each(function() {
							this.style.borderColor = "#b60000";
							this.style.borderStyle = "solid";
						});
						$(".inputs > p > textarea").each(function() {
							this.style.borderColor = "#b60000";
							this.style.borderStyle = "solid";
						});
						$(".inputs > p > checkbox").each(function() {
							this.style.borderColor = "#b60000";
							this.style.borderStyle = "solid";
						});
					}
					if (msg.fields == "card") {
						$("#card_n")[0].style.borderColor = "#b60000";
						$("#card_n")[0].style.borderStyle = "solid";
						$("#expires_m")[0].style.borderColor = "#b60000";
						$("#expires_m")[0].style.borderStyle = "solid";
						$("#expires_y")[0].style.borderColor = "#b60000";
						$("#expires_y")[0].style.borderStyle = "solid";
						$("#cvc")[0].style.borderColor = "#b60000";
						$("#cvc")[0].style.borderStyle = "solid";
					}
					if (msg.fields == "saved_card") {
						$("#saved_card")[0].style.borderColor = "#b60000";
						$("#saved_card")[0].style.borderStyle = "solid";
					}

				},
				complete : function() {
					making_request = false;
				}
			});
}

function buy_layer(act) {
	div = $("#layer_buy")[0];
	loader = $("#div_loader")[0];
	if (act == "show") {
		$('.hide').hide();
		loader.style.display = "block";
		div.style.position = "fixed";
		div.style.width = "100%";
		div.style.height = "100%";
		div.style.left = "0px";
		div.style.top = "0px";
		div.style.backgroundColor = "black";
		div.style.display = "block";
		div.style.opacity = "0.5";
		div.style.filter = "alpha(opacity = 50)";
		$(div).show();
	} else if (act == "hide") {
		loader.style.display = "none";
		$(div).hide();
		if (parseInt(total, 10) == 0) {
			$('.hide').show();
		}
	}
}

function select_payment(tipo) {
	if (tipo == "ogone") {
		if ($("#visa-payment")[0])
			$("#visa-payment")[0].style.display = "block";
		if ($("#saved-visa-payment")[0])
			$("#saved-visa-payment")[0].style.display = "none";
	} else if (tipo == "paypal") {
		if ($("#visa-payment")[0])
			$("#visa-payment")[0].style.display = "none";
		if ($("#saved-visa-payment")[0])
			$("#saved-visa-payment")[0].style.display = "none";
	} else if (tipo == "ogone_saved") {
		if ($("#visa-payment")[0])
			$("#visa-payment")[0].style.display = "none";
		if ($("#saved-visa-payment")[0])
			$("#saved-visa-payment")[0].style.display = "block";
	} else {
		if ($("#visa-payment")[0])
			$("#visa-payment")[0].style.display = "none";
		if ($("#saved-visa-payment")[0])
			$("#saved-visa-payment")[0].style.display = "none";
	}
	// PAYPALFIXME
	//paypal_comission(tipo);
}

function load_points(pt) {
	if (pt < min_points)
		return;
	points = pt
	$("#your_points").html(points);
	$("#points").css("display", "block");
	updatePrices();
}

function login_function() {
	if ($("#email_login").val() == "" || $("#password_login").val() == "") {
		alert(errors_msg["more_data"]);
		return false;
	}
	$.ajax( {
		url : "/purchase_v2/login_purchase/" + id_campaign,
		global : false,
		type : "POST",
		data : ( {
			email : $("#email_login").val(),
			password : $("#password_login").val()
		}),
		dataType : "json",
		async : true,
		beforeSend : function() {
			$("#login_button").hide();
			$("#login_spinner").show();
		},
		success : function(res) {
			if (res.success == 0) {
				if (res.error != "")
					alert(res.error);
				return false;
			} else {
				var u = $(".apuntate").remove();

				var par = $("#top-right");
				$("#apuntate").remove();

				var dv = $("<div>");
				dv.addClass("logged-top");

				var spa = $("<span>");
				var anc2 = $("<a>").attr("href", "/logout").attr("id",
						"a_logout").attr("name", "headlogout").addClass(
						"sign-out").addClass("rounded");
				$("<img>").attr("src", "/assets2/img/clos.png").appendTo(anc2);

				spa.append(anc2);

				var p = $("<p>");
				p.append(spa);
				anc = $("<a>");
				anc.attr("href", "/account");
				if (res.user.name != "") {
					anc.html(msg_arr["wellcome"] + " <b>" + res.user.name
							+ "</b>");
				} else {
					anc.text(msg_arr["my_account"]);
				}
				p.append(anc);
				dv.append(p);
				par.append(dv);

				worker = res.works_here;
				logged_user();
				if (res.works_here) {
					$("#purchase_normal").find("h1").after(
							$("<p class='work'><b>" + msg_arr["works_in"]
									+ "</b><br>" + msg_arr["works_in2"]
									+ "</p>"));
				} else {
					$.ajax( {
						url : "/purchase_v2/get_points",
						global : false,
						type : "POST",
						dataType : "json",
						async : true,
						complete : function(msg) {
							load_points(msg.responseText);
						}
					});
				}

				if ($("#txt_addresses_save2")[0]) {
					$.ajax( {
						url : "/purchase_v2/load_addresses",
						global : false,
						type : "POST",
						dataType : "json",
						async : true,
						success : function(data) {
							var temp = 0;
							for(i=0,x=data.length;i<x;i++)
							{
								$("select[id*='select_address']").each(
										function() {
											var opt = $("<option>");
											opt.text(data[i].name);
											opt.attr("value", data[i].id);
											opt.attr("selected", "selected");
											$(this).append(opt);
										});
								temp = 1;
							}
							changeAddress(document.getElementById('select_address'));
						}
					});
				}

				$.ajax({
					url: "/purchase_v2/load_cards",
					global: false,
					type: "POST",
					dataType: "json",
					async:true,
					success : function(data){

					if (data.length == 0) return;
					
					$('#new-card').before('<label class="saved-cards">'+
						'<input type="radio" value="ogone_saved" name="payment_mode" checked="checked" onclick=\'select_payment("ogone_saved");\' id="ogone_saved"> '+
						'<b>' + msg_arr["my_cards"] + '</b>'+
						'</label>'+
						'<div id="saved-visa-payment" style="display: none;">'+
						msg_arr["select_card"] + ':'+
						'<select name="saved_card" id="saved_card">'+
						'</select>'+
						'</div>');								

						var temp = 0;
						for(i=0,x=data.length;i<x;i++)
						{
							$("#saved_card").each(function() {
								var opt = $("<option>");
								opt.text("xxxx-xxxx-xxxx-" + data[i].digits + " (" + data[i].month + "/" + data[i].year + ")");
								opt.attr("value",data[i].id);
								$(this).append(opt);
							});
							temp = 1;
						}
						select_payment("ogone_saved");
					}
				});
				
				repechage($('#email_login').val(),id_campaign,id_pub);
				
				if( res.user.buyer && campaign_type == 'welcome' )
				{
					$("#gift_container").hide();
					$("#custom_container").hide();
					$("#payment").hide();
					$("#payment-button").hide();
					$("#alert_welcome").show();
					alert(errors_msg["welcome"]);
				}
			}
		},
		complete : function() {
			$("#login_spinner").hide();
			$("#login_button").show();
		}
	});
}

function repechage(email,id_campaign,id_pub) {
	if (!marca_blanca && !supplanting_user) {
		$.ajax( {
			url : "/purchase_v2/insert_repechage",
			global : false,
			type : 'POST',
			data : ( {
				email : email,
				id_campaign : id_campaign,
				id_publication : id_pub
			}),
			dataType : "json",
			async : true
		});
	}
}

function express_login() {

	if (!$("#conditions_express").is(":checked")) {
		alert(msg_arr["accept_conditions_express"]);
		return;
	}

	if ($("#mail_express").val() != $("#mail_express_repeat").val()) {
		alert(msg_arr["mail_dont_match"]);
		return;
	}
	if (!/[a-zA-Z0-9\+\.\_\%\-\+]{1,256}\@[a-zA-Z0-9][a-zA-Z0-9\-]{0,64}(\.[a-zA-Z0-9][a-zA-Z0-9\-]{0,25})/
			.test($("#mail_express_repeat").val())) {
		alert(msg_arr["mail_not_valid"]);
		return;
	}
	
	repechage($('#mail_express').val(),id_campaign,id_pub);

	$("#mail_express_login").val($("#mail_express").val());
	$("#use_express_login").val(1);
	logged_user();
}

function logged_user() {
	user_logged = 1;
	$("#text_normal").text(msg_arr["make_payment"]);
	$("#text_free").text(msg_arr["free"]);
	hide_login();
	// Con express no se guardan direcciones
	if ($("#use_express_login").val() == 1) {
		$("#txt_addresses_save").css("display", "none");
		$("#save_address").css("display", "none");
	}

	if ($("#custom_container").find("div").length > 0)
		animate_custom_layout(0);
	animate_payment_layout(0);
	fix_step_numbers();
	updatePrices();
}

function show_login() {
	show_layer();
	$("#login_layer").css("width", "30px");
	$("#login_layer").show();
}

function hide_login() {
	$("#login_layer").hide();
	hide_layer();
}

function animate_payment_layout(firstHeight) {
	// $("#custom_container").clearQueue();
	var h = $("#purchase_normal").height();
	$("#purchase_normal").css("display", "block");
	return;
	if (typeof firstHeight != "undefined") {
		$("#purchase_normal").css("height", firstHeight);
	}

	// $("#purchase_normal").animate({"height":h},1500,"linear",function(){$("#purchase_normal").css("height",h);$("#purchase_normal").css("display","block");});
	$("#purchase_normal").css("height", h).css("display", "block");
}

function animate_custom_layout(firstHeight) {
	// $("#custom_container").clearQueue();
	$("#custom_container").css("display", "block");
	return;
	var h = $("#custom_container").height();
	if (typeof firstHeight != "undefined") {
		$("#custom_container").css("height", firstHeight);
	}

	// $("#custom_container").animate({"height":h},1500,"linear",function(){$("#custom_container").css("height",h);$("#custom_container").css("display","block");});
	$("#custom_container").css("height", h).css("display", "block");
}

function show_layer() {
	var dv = $("<div>");
	dv.attr("id", "modal_layer");
	dv.css("position", "fixed");
	dv.css("top", "0px");
	dv.css("left", "0px");
	dv.css("width", "100%");
	dv.css("height", "100%");
	dv.css("background-color", "black");
	dv.css("opacity", ".5");
	dv.css("z-index", 5000);
	$("html").append(dv);
}

function hide_layer() {
	$("#modal_layer").remove();
}

function hide_selector() {
	$(".selector").hide();
}

function init() {
		
		// Tarjeta de credito
		$(function() {
			if (!isAndroid) {
				$.mask.definitions['~'] = "[+-]";
				$("#card_n").mask("9999 9999 9999 9999", {
					placeholder : " "
				});
			} else {
				$("#card_n").attr("maxlength", 16);
			}
		});
		$('#card_n').keyup(function() {
			creditCardTypeFromNumber($(this).val());
		});
	
		$("input[id^='custom_date_']").each(function() {
			$(this).datepicker( {
				"numberOfMonths" : 3,
				showButtonPanel : true
			});
		});
	
		if ($("#credit_card")[0]) {
			$("#credit_card")[0].checked = true;
			select_payment("credit_card");
		} else if ($("#ogone_saved")[0]) {
			$("#ogone_saved")[0].checked = true;
			select_payment("ogone_saved");
		} else if ($("#ogone")[0]) {
			$("#ogone")[0].checked = true;
			select_payment("ogone");
		} else {
			$("#paypal")[0].checked = true;
			select_payment("paypal");
		}
	
		$(".repeat-email").bind('copy paste', function(e) {
			e.preventDefault();
		});
	
		$("*[id^='howmany_']").change(function() {
			updatePrices();
		});
		updatePrices();
		
		if( user_logged )
		{
			setTimeout(function() {
				repechage(email_user,id_campaign,id_pub);
			}, 10000);
		}
	}
}

function toggle_cvc() {
	if ($("#layer_cvc")[0].style.display == "block")
		hide_cvc();
	else
		show_cvc();
}

function show_cvc() {
	$("#layer_cvc")[0].style.display = "block";
}

function hide_cvc() {
	$("#layer_cvc")[0].style.display = "none";
}

function checkLuhn(input) {
	var sum = 0;
	var numdigits = input.length;
	var parity = numdigits % 2;
	for ( var i = 0; i < numdigits; i++) {
		var digit = parseInt(input.charAt(i))
		if (i % 2 == parity)
			digit *= 2;
		if (digit > 9)
			digit -= 9;
		sum += digit;
	}
	return (sum % 10) == 0;
}

function creditCardTypeFromNumber(num) {
	num = num.replace(/[^\d]/g, '');
	if (num.match(/^5[1-5]/)) {
		// return 'MasterCard';
		$(".visa-mastercard")
				.css(
						'background',
						'url("/assets2/img/es/visa-mastercard.png") no-repeat scroll 149px -66px transparent');
	} else if (num.match(/^4026/) || num.match(/^417500/) || num.match(/^4508/)
			|| num.match(/^4844/) || num.match(/^4913/) || num.match(/^4917/)
			|| num.match(/^419740/) || num.match(/^419741/)
			|| num.match(/^417935/) || num.match(/^412921/)
			|| num.match(/^412922/) || num.match(/^412923/)
			|| num.match(/^401773/) || num.match(/^402360/)
			|| num.match(/^400121/) || num.match(/^400115/)
			|| num.match(/^4935/) || num.match(/^419773/)
			|| num.match(/^419774/) || num.match(/^419775/)
			|| num.match(/^433445/)) {
		// return 'Visa Electron';
		$(".visa-mastercard")
				.css(
						'background',
						'url("/assets2/img/es/visa-mastercard.png") no-repeat scroll 149px -43px transparent');
	} else if (num.match(/^4/)) {
		// return 'Visa';
		$(".visa-mastercard")
				.css(
						'background',
						'url("/assets2/img/es/visa-mastercard.png") no-repeat scroll 149px -21px transparent');
	} else {
		$(".visa-mastercard")
				.css(
						'background',
						'url("/assets2/img/es/visa-mastercard.png") no-repeat scroll 149px 1px transparent');
	}

	// comprobamos el numero de tarjeta que sea correcto
	if (num.length == 16) {
		if (checkLuhn(num) == false)
			$('#card_n').addClass('creditcardko');
		else
			$('#card_n').addClass('creditcardok');
	} else {
		$('#card_n').removeClass('creditcardok');
		$('#card_n').removeClass('creditcardko');
	}
}

$(document).ready(init);
