﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<DEOCIO.Models.LogOnModel>" %>

<asp:Content ID="loginTitle" ContentPlaceHolderID="TitleContent" runat="server">
    Log On
</asp:Content>
<asp:Content ID="loginContent" ContentPlaceHolderID="MainContent" runat="server">
    <!-- Cargamos las clases jquery -->
    <script src="<%: Url.Content("~/Scripts/jquery.validate.min.js") %>" type="text/javascript"></script>
    <script src="<%: Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js") %>" type="text/javascript"></script>
    
    <!-- Funciones javascript para validaciones locales -->
    <script language="javascript" type="text/javascript">
        // Valida que el campo email no esté en blanco antes de intentar recuperar la clave.
        function RecoveryPassword() {
            var myTextField = document.getElementById('UserName');
            if (myTextField.value != "") {

                $("#contacts-form").attr("action", "/Account/RecoveryPswd");
                $("#contacts-form").submit();
            }
            else {
                alert("Debe introducir una dirección de correo para recuperar su clave");
            }
        }
    </script>
    <div id="layout" class="one-column">
        <div class="inside1">
            <div class="wrap" style="padding-left: 30px;">
                <br />
                <br />
                <h2>
                    Validación de Usuario:</h2>
                <br />
                <div style="margin-right: 30px; text-align: justify;">
                    Bienvendio a DEOCIO.es, web líder en ofertas de ocio.</div>
                <br />
                <br />
                <form id="contacts-form" name="contacts-form" action="LogOn" method="post">
                <%
                if(Request.QueryString["returnUrl"] != null)
                { %>
                   <%: Html.Hidden("returnUrl", Request.QueryString["returnUrl"].ToString())%>
                <% }
                else
                { %>
                   <%: Html.Hidden("returnUrl", "~/Home".ToString())%>
                <% }
                %>
                
               
                <fieldset>
                    <div class="field text">
                        <label>
                            E-mail</label>
                        <%: Html.TextBoxFor(m => m.UserName) %>
                        <span style="color: Red;"><i>
                            <%: Html.ValidationMessageFor(m => m.UserName) %></i></span></div>
                    <div class="field text">
                        <label>
                            Contraseña</label><%: Html.PasswordFor(m => m.Password) %>
                        <span style="color: Red;"><i>
                            <%: Html.ValidationMessageFor(m => m.Password) %> </span></i></div>
                    <span style="color: Red;"><i>
                        <%: Html.ValidationSummary(true, "Validación de usuario incorrecta. Por favor, corrige los errores e intentalo de nuevo.") %></i></span>
                    <br />
                    <p>
                        <!-- Link para recuperar la clave -->
                        <span>Si olvidaste la contraseña haz <a href='javascript:RecoveryPassword();'>clic aquí
                        </a></span>
                    </p>
                    <p>
                        <!-- Link para registrar usuario -->
                        <span>Si no dispones de una cuenta de usuario
                            <%: Html.ActionLink("regístrate aquí.", "Register") %></span></p>
                    <br />
                    <br />
                    <div class="alignright">
                        <a href="#" class="link4" onclick="document.getElementById('contacts-form').reset()">
                            <span><span>Limpiar</span></span></a><a href="#" class="link2" onclick="document.getElementById('contacts-form').submit()"><span><span>Enviar</span></span></a></div>
                </fieldset>
                </form>
                <div class="clear">
                </div>
            </div>
        </div>
        <div style="height: 200px">
            <br />
        </div>
    </div>
</asp:Content>
