﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<DEOCIO.Models.RegisterModel>" %>

<asp:Content ID="registerTitle" ContentPlaceHolderID="TitleContent" runat="server">
    Register
</asp:Content>
<asp:Content ID="registerContent" ContentPlaceHolderID="MainContent" runat="server">

    <!--Cargamos las clases jquery -->
    <script src="<%: Url.Content("~/Scripts/jquery.validate.min.js") %>" type="text/javascript"></script>
    <script src="<%: Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js") %>" type="text/javascript"></script>
    <div id="layout" class="one-column">
        <div class="inside1">
            <div class="wrap" style="padding-left: 30px;">
                <br />
                <br />
                <h2>
                    Registrar nuevo usuario:</h2>
                <br />
                <div style="margin-right: 30px; text-align: justify;">
                    Bienvenido a DEOCIO.ES la web líder en ofertas de ocio, ...</div>
                <br />
                <span style="color: red; margin-left: 15px; border-top: 15px;"><i>
                    <%: Html.ValidationSummary(true, "Alta de usuario incorrecta. Por favor, corrige los errores e intentalo de nuevo.") %></i></span>
                <br />
                <!-- Inicio del formulario -->
                <form id="contacts-form" action="Register" method="post">
                <fieldset>
                    <h3 style="color: #000">
                        Datos Personales:</h3>
                    <br />
                    <div style="text-align: left;">
                        <hr style="margin-bottom: 10px; height: 0; border-style: dashed; border-width: 1px 0 0 0;
                            border-color: gray; margin-top: -15px; margin-right: 50px;" />
                    </div>
                    <div class="field text">
                        <label>
                            <%: Html.LabelFor(m => m.Sufijo) %></label>
                        <select name="Sufijo">
                            <option value="Sr">Sr</option>
                            <option value="Sra">Sra</option>
                        </select>
                        <span style="color: red; margin-left: 15px; font-size: smaller; border-top: 15px;">
                            <i>
                                <%: Html.ValidationMessageFor(m => m.Sufijo)%>
                            </i></span>
                    </div>
                    <div class="field text">
                        <label>
                            <%: Html.LabelFor(m => m.Name) %></label>
                        <%: Html.TextBoxFor(m => m.Name, new { style = "width:350px", maxlength = "50" })%>
                        <span style="color: red; margin-left: 15px; font-size: smaller; border-top: 15px;">
                            <i>
                                <%: Html.ValidationMessageFor(m => m.Name)%>
                            </i></span>
                    </div>
                    <div class="field text">
                        <label>
                            <%: Html.LabelFor(m => m.PrimerApellido) %></label>
                        <%: Html.TextBoxFor(m => m.PrimerApellido, new { style = "width:350px", maxlength = "50" })%>
                        <span style="color: red; margin-left: 15px; font-size: smaller; border-top: 15px;">
                            <i>
                                <%: Html.ValidationMessageFor(m => m.PrimerApellido)%>
                            </i></span>
                    </div>
                    <div class="field text">
                        <label>
                            <%: Html.LabelFor(m => m.SegundoApellido) %></label>
                        <%: Html.TextBoxFor(m => m.SegundoApellido, new { style = "width:350px", maxlength = "50" })%>
                        <span style="color: red; margin-left: 15px; font-size: smaller; border-top: 15px;">
                            <i>
                                <%: Html.ValidationMessageFor(m => m.SegundoApellido)%>
                            </i></span>
                    </div>
                    <div class="field text">
                        <label>
                            <%: Html.LabelFor(m => m.DNI) %></label>
                        <%: Html.TextBoxFor(m => m.DNI, new { style = "width:70px", maxlength = "9" })%>
                        <span style="color: red; margin-left: 15px; font-size: smaller; border-top: 15px;">
                            <i>
                                <%: Html.ValidationMessageFor(m => m.DNI)%>
                            </i></span>
                    </div>
                    <div class="field text" style="height:100px;">
                        <label>
                            <%: Html.LabelFor(m => m.Categorias) %></label>
                            <%: Html.ListBoxFor(m => m.Categorias, ViewData["cats"] as MultiSelectList, new { size = "6", Style="width:350px" })%> <br /> <br /><br />
                        <span style="color: red; margin-left: 15px; font-size: smaller; border-top: 15px;">
                            <i>
                                <%: Html.ValidationMessageFor(m => m.Categorias)%>
                            </i></span>
                    </div>
                    <br />
                    <h3 style="color: #000">
                        Datos de usuario:</h3>
                    <br />
                    <div style="text-align: left;">
                        <hr style="margin-bottom: 10px; height: 0; border-style: dashed; border-width: 1px 0 0 0;
                            border-color: gray; margin-top: -15px; text-align: left; margin-right: 50px;" />
                    </div>
                    <div class="field text">
                        <label>
                            <%: Html.LabelFor(m => m.Email)%></label>
                        <%: Html.TextBoxFor(m => m.Email, new { style = "width:350px", maxlength = "128" })%>
                        <span style="color: red; margin-left: 15px; font-size: smaller; border-top: 15px;">
                            <i>
                                <%: Html.ValidationMessageFor(m => m.Email)%>
                            </i></span>
                    </div>
                    <div class="field text">
                        <label>
                            <%: Html.LabelFor(m => m.Password)%></label>
                        <%: Html.PasswordFor(m => m.Password, new { style = "width:150px", maxlength = "20" })%>
                        <span style="color: red; margin-left: 15px; font-size: smaller; border-top: 15px;">
                            <i>
                                <%: Html.ValidationMessageFor(m => m.Password)%>
                            </i></span>
                    </div>
                    <div class="field text">
                        <label>
                            <%: Html.LabelFor(m => m.ConfirmPassword)%></label>
                        <%: Html.PasswordFor(m => m.ConfirmPassword, new { style = "width:150px", maxlength = "20" })%>
                        <span style="color: red; margin-left: 15px; font-size: smaller; border-top: 15px;">
                            <i>
                                <%: Html.ValidationMessageFor(m => m.ConfirmPassword)%>
                            </i></span>
                    </div>
                    <br />
                    <h3 style="color: #000">
                        Datos de contacto:</h3>
                    <br />
                    <div style="text-align: left;">
                        <hr style="margin-bottom: 10px; height: 0; border-style: dashed; border-width: 1px 0 0 0;
                            border-color: gray; margin-top: -15px; text-align: left; margin-right: 50px;" />
                    </div>
                    <div class="field text">
                        <label>
                            <%: Html.LabelFor(m => m.Direccion)%></label>
                        <%: Html.TextBoxFor(m => m.Direccion, new { style = "width:350px", maxlength = "60" })%>
                        <span style="color: red; margin-left: 15px; font-size: smaller; border-top: 15px;">
                            <i>
                                <%: Html.ValidationMessageFor(m => m.Direccion)%>
                            </i></span>
                    </div>
                    <div class="field text">
                        <label>
                            <%: Html.LabelFor(m => m.Poblacion)%></label>
                        <%: Html.TextBoxFor(m => m.Poblacion, new { style = "width:250px", maxlength = "30" })%>
                        <span style="color: red; margin-left: 15px; font-size: smaller; border-top: 15px;">
                            <i>
                                <%: Html.ValidationMessageFor(m => m.Poblacion)%>
                            </i></span>
                    </div>
                    <div class="field text">
                        <label>
                            <%: Html.LabelFor(m => m.CP)%></label>
                        <%: Html.TextBoxFor(m => m.CP, new { style = "width:50px", maxlength = "5" })%>
                        <span style="color: red; margin-left: 15px; font-size: smaller; border-top: 15px;">
                            <i>
                                <%: Html.ValidationMessageFor(m => m.CP)%>
                            </i></span>
                    </div>
                    <div class="field text">
                        <label>
                            <%: Html.LabelFor(m => m.Provincia)%>
                        </label>
                        <%= Html.DropDownList("Provincia", (SelectList)ViewData["msProvincias"])%>
                        <span style="color: red; margin-left: 15px; font-size: smaller; border-top: 15px;">
                            <i>
                                <%: Html.ValidationMessageFor(m => m.Provincia)%>
                            </i></span>
                    </div>
                    <div class="field text">
                        <label>
                            <%: Html.LabelFor(m => m.Telefono)%></label>
                        <%: Html.TextBoxFor(m => m.Telefono, new { style = "width:70px", maxlength = "9" })%>
                        <span style="color: red; margin-left: 15px; font-size: smaller; border-top: 15px;">
                            <i>
                                <%: Html.ValidationMessageFor(m => m.Telefono)%>
                            </i></span>
                    </div>
                    <div class="field text">
                        <label>
                            <%: Html.LabelFor(m => m.Movil)%></label>
                        <%: Html.TextBoxFor(m => m.Movil, new { style = "width:70px", maxlength = "9" })%>
                        <span style="color: red; margin-left: 15px; font-size: smaller; border-top: 15px;">
                            <i>
                                <%: Html.ValidationMessageFor(m => m.Movil)%>
                            </i></span>
                    </div><br />
                    <div class="field text">
                        <%: Html.CheckBoxFor(m => m.RecibirInfo, new { style = "width:20px; border:0px" })%>
                        <table style="border: 0px; margin-left: 15px; margin-right: 50px; text-align: justify;"> 
                            <tr>
                                <td>
                                  Desea recibir información de ofertas en su dirección de correo electrónico?
                                </td>
                            </tr>
                        </table>
                        <span style="color: red; margin-left: 15px; font-size: smaller; border-top: 15px;">
                            <i>
                                <%: Html.ValidationMessageFor(m => m.RecibirInfo)%>
                            </i></span>
                    </div>
                    <%: Html.CheckBoxFor(m => m.Contrato, new { style = "width:20px; border:0px"})%>
                    <table style="border: 0px; margin-left: 15px; margin-right: 50px; text-align: justify;
                        font-size: smaller;">
                        <tr>
                            <td>
                                <b>ACEPTO:</b> Los datos seran introducidos en la base de datos de DEOCIO y utilizados
                                para futuras acciones comerciales. Según Ley Orgánica 15/99. Confirmo que he leído
                                y acepto la política de privacidad y condiciones de acceso a la web. Los datos pueden
                                ser cancelados o modificados en cualquier momento enviando un correo a deocio@deocio.es.<br />
                                <span style="color: red;"><i>
                                    <%: Html.ValidationMessageFor(m => m.Contrato)%>
                                </i></span>
                            </td>
                        </tr>
                    </table>
                    <br />
                    <br />
                    <br />
                    <div class="alignright">
                        <a href="#" class="link4" onclick="document.getElementById('contacts-form').reset()">
                            <span><span>Limpiar</span></span></a><a href="#" class="link2" onclick="document.getElementById('contacts-form').submit()"><span><span>Registrar</span></span></a></div>
                </fieldset>
                </form>
                <!-- Fin del formulario -->
                <div class="clear">
                </div>
            </div>
        </div>
    </div>
</asp:Content>
