﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>

<%@ Import Namespace="System.IO" %>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <div id="layout" class="two-columns">
        <div id="contents">
            <div id="Div1">
                <% using (Html.BeginForm("Search", "Home", null, FormMethod.Post, new { @id = "Search", @name = "Search" }))
                   { %>
                <div id="div_datos" style="display: inline-block; height: 1px; height: 176px; display: block;
                    margin: 0 0 15px 0; width: 100%; color: #000;">
                    <div id='center'>
                        <p>
                            <b>
                                <div style="vertical-align: bottom; padding-top: 7px; padding-bottom: 7px;">
                                    ¡Personaliza aquí tu búsqueda!</div>
                            </b>
                        </p>
                        <label id="masfem" style="margin-left:-2px;">

                            <span>Código Postal* </span>
                            <%= Html.TextBox("txtPoblacion", null, new { style = "width:50px; margin-left:-2px; padding-left:10px; ", maxlength = "5" })%>
                        </label>
                        <label style="padding-left: 10px; margin-left:-30px;">
                            <span>Distáncia </span>
                            <%= Html.TextBox("txtDistancia", null, new { style = "width:97px;text-align: center;", maxlength = "5", @readonly = "readonly" })%>
                        </label>
                        <label style="padding-left: 10px; margin-left:10px;">
                            <span>Precio</span>
                            <%= Html.TextBox("PrecioDesde", null, new { style = "width:49px;text-align: center;", maxlength = "5", @readonly = "readonly" })%>
                            -
                            <%= Html.TextBox("PrecioHasta", null, new { style = "width:49px;text-align: center;", maxlength = "5", @readonly = "readonly" })%>
                        </label>
                        <label style="padding-left: 5px; width: 190px;">
                            <span>Fecha Desde</span>
                            <%= Html.DatePicker("Desde", "/Content/images/calendar.gif", this.ViewData["Desde"]) %>
                        </label>
                        <label style="padding-left: 10px; margin-left:-18px;">
                            <span>F. Hasta</span>
                            <%= Html.DatePicker("Hasta", "/Content/images/calendar.gif", this.ViewData["Hasta"]) %>
                        </label>
                        <label style="padding-left: -15px; margin-left:7px;">
                            <div id="Distancia">
                            </div>
                        </label>
                        <label style="padding-left: 17px;">
                            <div id="slider2">
                            </div>
                        </label>
                        <div style="width: 200px;">
                            &nbsp;
                        </div>
                        <label style="margin-left: 0px; margin-left:377px; margin-top: -10px; width: 350px;">
                            <span>Categoría </span>
                            <%= Html.DropDownList("Category", (SelectList)ViewData["cats"], new { style = "width: 260px;" })%>
                        </label>
                        <label style="margin-left: 0px; margin-left:11px; margin-top: -23px; width: 480px;">
                            <span>Ordenar por </span>
                            <%= Html.DropDownList("Ordenarpor", (SelectList)ViewData["OrderBy"], new { style = "width: 250px;" })%>
                        </label>
                        <button class="btn" style="margin-left: 600px; margin-top: 12px;" onclick='return validateSearchForm();'>
                            Buscar
                        </button>
                    </div>
                </div>
                <% } %>
            </div>
            <div class="banner">
                <i>
                <% if (ViewData["Poblacion"].ToString().Trim() == "")
                   {
                       %>
                       <b><u>Estas son algunas de nuestras ofertas</u></b>
                       <%
                   }
                   else
                   {
                       %>
                       <i>Resultados de ofertas cerca de: <b><u><%= ViewData["Poblacion"].ToString() %></u></b>
                       <%
                   }
                %>
                    <br />
                    <br />
                </i>
            </div>
            <% 
                int contador = 0;
                bool hayofertas = false;
                foreach (DEOCIO.Models.ProductModel p in (IEnumerable)ViewData["products"])
                {
                    decimal save = Math.Round(100 - (((p.OfferPrice * 100) / p.Price)), 0);
                    TimeSpan ts = (DateTime)p.SellEndDate - DateTime.Now;

                    hayofertas = true;

                    int days = ts.Days;
                    int hours = ts.Hours;
                    int minuts = ts.Minutes;

                    if ((contador % 2).Equals(0))
                    {
                          
            %>

            <div class="offer  ">
                <h2>
                    <a name="titulo1i" href="../Offer/OfferDetail?OfferId=<%= p.ProductID.ToString()%>"
                        class="top"><span class="dto">Descuento del <b>
                            <%= save %>%</b> !!</span><br />
                        <%= p.ProductShortDesc.ToString()%></a>
                </h2>
                <div class="offer-pic">
                    <a name="img1i" href="../Offer/OfferDetail?OfferId=<%= p.ProductID.ToString()%>"
                        style='height: 173px; overflow: hidden;'>
                        <img src="<%= Url.Action( "GetFirsLargeImage" , "Home" , new {ProductId = p.ProductID} ) %>"
                            alt="<%= p.ProductShortDesc.ToString()%>" width="296" />
                    </a>
                </div>
                <div class="down-offer">
                    <div class="btn ">
                        <a name="seenow1d" href="<%= Url.Action( "OfferDetail" , "Offer" , new {OfferId = p.ProductID } ) %>">
                            <span>
                                <%= Math.Round(p.OfferPrice, 0).ToString()%>
                                €</span>Ver Oferta</a></div>
                    <div class="value">
                        Precio: <span class="cross"></span><span class="price">
                            <%= Math.Round(p.Price,0).ToString()%>
                            €</span></div>
                    <div class="thebest">
                        <p>
                            Lo mejor:</p>
                        <ul>
                            <% 
int bod = 0;
foreach (string thebest in p.BestOfDescription)
{
    if (bod < 2)
    {
        bod++;   
                            %>
                            <li>
                                <%= thebest.ToString()%></li>
                            <% 
                                }
                            } %>
                        </ul>
                    </div>
                    <ul class="social-share">
                        <li class="time ">
                            <ul>
                                <li class="first" id='days_to_36024'>
                                    <%= days %>d</li>
                                <li id='hours_to_36024'>
                                    <%= hours %>h</li>
                                <li id='minutes_to_36024'>
                                    <%= minuts %>m</li>
                            </ul>
                        </li>
                        <li>
                            <fb:like href="../Offer/OfferDetail?OfferId=<%= p.ProductID.ToString()%>" send="false"
                                layout="button_count" width="110" show_faces="false"></fb:like>
                        </li>
                    </ul>
                </div>
            </div>

            <%
                    }
                    else
                    {
                    
            %>
            <!-- START OFFER LEFT -->
            <div class="offer  right ">
                <h2>
                    <a name="titulo1i" href="../Offer/OfferDetail?OfferId=<%= p.ProductID.ToString()%>"
                        class="top"><span class="dto">Descuento del <b>
                            <%= save %>%</b> !!</span><br />
                        <%= p.ProductShortDesc.ToString()%></a>
                </h2>
                <div class="offer-pic">
                    <a name="img1i" href="../Offer/OfferDetail?OfferId=<%= p.ProductID.ToString()%>"
                        style='height: 173px; overflow: hidden;'>
                        <img src="<%= Url.Action( "GetFirsLargeImage" , "Home" , new {ProductId = p.ProductID} ) %>"
                            alt="<%= p.ProductShortDesc.ToString()%>" width="296" />
                    </a>
                </div>
                <div class="down-offer">
                    <div class="btn ">
                        <a name="seenow1d" href="<%= Url.Action( "OfferDetail" , "Offer" , new {OfferId = p.ProductID } ) %>">
                            <span>
                                <%= Math.Round(p.OfferPrice, 0).ToString()%>
                                €</span>Ver Oferta</a></div>
                    <div class="value">
                        Precio: <span class="cross"></span><span class="price">
                            <%= Math.Round(p.Price,0).ToString()%>
                            €</span></div>
                    <div class="thebest">
                        <p>
                            Lo mejor:</p>
                        <ul>
                            <% 
int bodd = 0;
foreach (string thebest in p.BestOfDescription)
{
    if (bodd < 2)
    {
        bodd++;   
                            %>
                            <li>
                                <%= thebest.ToString()%></li>
                            <% 
                            }
                        } %>
                        </ul>
                    </div>
                    <ul class="social-share">
                        <li class="time ">
                            <ul>
                                <li class="first" id='Li1'>
                                    <%= days %>d</li>
                                <li id='Li2'>
                                    <%= hours %>h</li>
                                <li id='Li3'>
                                    <%= minuts %>m</li>
                            </ul>
                        </li>
                        <li>
                            <fb:like href="../Offer/OfferDetail?OfferId=<%= p.ProductID.ToString()%>" send="false"
                                layout="button_count" width="110" show_faces="false"></fb:like>
                        </li>
                    </ul>
                </div>
            </div>
            <% 
                        }
                    contador++;
                } %>
                            <% if (hayofertas == false)
               { %>
               Lo sentimos, no hay ofertas disponibles... <br /> <br />
            <% } %>
            <!-- START MORE NEAR OFFERS -->
            <div id="near-offers">
                <h3>
                    Quizás también le pueda interesar ...</h3>

                    <%
                        decimal ocont = 1;
                        foreach (DEOCIO.Models.ProductModel po in (IEnumerable)ViewData["prodRandom"])
                        {
                            decimal save = Math.Round(100 - (((po.OfferPrice * 100) / po.Price)), 0);
                            
                            if ((ocont % 3) > 0)
                            {
                                %>
                                 <div class="mini-offer">
                                <%
                            }
                            else
                            {
                                %>
                                <div class="mini-offer last">
                                <%
                            }
                            
                         %>

               
                    <h4>
                        <a href='../Offer/OfferDetail?OfferId=<%= po.ProductID.ToString()%>'><%= po.Location.City%> </a>
                    </h4>
                    <div>
                        <a name="imgnear1" href="../Offer/OfferDetail?OfferId=<%= po.ProductID.ToString()%>">
                            <img height="151" width='225' src="<%= Url.Action( "GetFirsLargeImage" , "Home" , new {ProductId = po.ProductID} ) %>" alt="<%= po.ProductShortDesc %>" /></a>
                        <h5>
                            <a name="titulonear1" href="../Offer/OfferDetail?OfferId=<%= po.ProductID.ToString()%>"><span>-<%=save%>%</span>
                                <%= po.ProductShortDesc %></a></h5>
                    </div>
                    <p class="mini-button">
                        <a name="seenownear1" href="../Offer/OfferDetail?OfferId=<%= po.ProductID.ToString()%>"><span><%= Math.Round(po.OfferPrice, 0)%> €</span>Ver
                            oferta</a></p>
                </div>
               
                 <% ocont++;
                    
                        } %>

              
              
                <div class="clear-fix">
                </div>
            </div>
        </div>
        <!-- #contents -->
        <% Html.RenderPartial("Slidebar"); %>
        <!-- #sidebar-left -->
    </div>
    <script type="text/javascript" language="javascript">


        $("#Distancia").slider({
            min: 1,
            max: 30,
            range: "min",
            value: $("#txtDistancia").val().replace("Km",""),
            slide: function (event, ui) {
                $("#txtDistancia").val(ui.value + "Km");
            }
        });
        $("#Distancia").children("div").css("background", "red");


        $("#slider2").slider({
            min: 0,
            max: 500,
            range: true,
            values: [0, 500],
            valuemax: 100,
            slide: function (event, ui) {
                $("#PrecioDesde").val(ui.values[0] + "€");
                $("#PrecioHasta").val(ui.values[1] + "€");
            }
        });


        function validateSearchForm() {

            if ($("#txtPoblacion").val() == "") {
                alert("Debe escribir una población...");
                $("#txtPoblacion").focus();
                $("#txtPoblacion").css("border", "1px Red solid");
                $("#txtPoblacion").css("background-color", "#FFFFED ");
                return false;
            }
            else {
                document.getElementById('Search').submit();
            }
        }
    </script>
</asp:Content>
