﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<dynamic>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    BuyOffer
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <script type="text/javascript" language="javascript">

        function updatePrices(value) {

            var total = 0;

            total = value * $("#unit_product").text();
            $("#total_product").text(total);
            $("#final_cost").text(total);

        }

        function CheckVisa() {
            var ccc = $("#card_n").val();
            if (isNaN(ccc) == true)
            {
                alert("El número de tarjeta debe ser numérico");
                return false;
            }
            if (ccc.length != 17) {
                alert("El número de tarjeta debe contener 17 dígitos.");
                return false;
            }

            var cvc = $("#cvc").val();

            if (isNaN(cvc) == true) {
                alert("El CVC debe ser numérico");
                return false;
            }
            if (cvc.length != 3) {
                alert("El CVC debe contener 3 dígitos.");
                return false;
            }
            
            Buy.submit();
        }

        function visible_cvc() {

            var ccc = $("#layer_cvc").css("display", "");
        }

        function hidde_cvc() {

            var ccc = $("#layer_cvc").css("display", "none");
        }

    </script>
    <% DEOCIO.Models.ProductModel p = (DEOCIO.Models.ProductModel)ViewData["product"];
       DEOCIO.Models.CustomerInfo c = (DEOCIO.Models.CustomerInfo)ViewData["customer"];

       decimal save = Math.Round(100 - (((p.OfferPrice * 100) / p.Price)), 0);
       TimeSpan ts = (DateTime)p.SellEndDate - DateTime.Now;

       int days = ts.Days;
       int hours = ts.Hours;
       int minuts = ts.Minutes;

               
    %>
    <div id="layout" class="two-columns">
        <div id="contents" class="compra">
            <h1 style="padding: 0px 0px 0px 0px;">
                1. Tu compra</h1>
            <div id='errors_div' class="alert error rounded" style='display: none;'>
                <p>
                    <span class="icon icon-alert"></span><span class="message"><strong>ATENCIÓN:</strong>
                    </span>
                </p>
            </div>
            <% using (Html.BeginForm("ConfirmBuy", "Offer", null, FormMethod.Post, new { @id = "Buy", @name = "Buy" }))
               { %>

               <%= Html.Hidden("productId",p.ProductID) %>

            <table class="items-compra tableie" width="100%" border="0" cellspacing="0" cellpadding="0">
                <tr>
                    <th class="campaign-title" colspan="4">
                        <%=  p.ProductShortDesc%>
                    </th>
                </tr>
                <tr class="labels">
                    <td class="thumb" valign="top">
                        <img src="<%= Url.Action( "GetThumbnailsImage" , "Home" , new {ProductId = p.ProductID} ) %>"
                            alt="<%= p.ProductShortDesc.ToString()%>" />
                    </td>
                    <td valign="top">
                        <table id='products_table' class="items-compra " width="100%" border="0" cellspacing="0"
                            cellpadding="0">
                            <tr>
                                <th class="choose" valign="top">
                                    Elige tu producto
                                </th>
                                <th class="amount" valign="top">
                                    Cantidad
                                </th>
                                <th class="total" valign="top">
                                    Precio
                                </th>
                                <th class="total" valign="top">
                                    Total
                                </th>
                            </tr>
                            <tr class="product_row">
                                <td class="choose" valign="top">
                                    <%=  p.ProductShortDesc%>
                                </td>
                                <td class="amount" valign="top">
                                    <%= Html.DropDownList("NumProduct", (SelectList)ViewData["MaxNumberProductsBuy"], new { @onchange = "javascript:updatePrices(this.value);" })%>
                                </td>
                                <td class="total" valign="top">
                                    <span id='unit_product'>
                                        <%= Math.Round(p.OfferPrice, 0)%></span> €
                                </td>
                                <td class="total" valign="top">
                                    <span id='total_product'>
                                        <%= Math.Round(p.OfferPrice, 0)%></span> €
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2" class="choose" valign="top">
                                    Gastos de envío
                                </td>
                                <td class="total" valign="top">
                                    <div name='shipment_item'>
                                        <span id='total_product_shipment'>0</span> €</div>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
            <table class="items-compra tableie" width="100%" border="0" cellspacing="0" cellpadding="0">
                <tr class="white">
                    <td colspan="3">
                        &nbsp
                    </td>
                </tr>
                <tr class="promocodes">
                    <td class="text" valign="top">
                        <p>
                            <b>¿Tienes un código promocional?</b> <span>Códigos promocionales, <b>Deocio.es</b>
                            </span>
                        </p>
                    </td>
                    <td class="inputs">
                        <input type="text" value="" class="code" id='promocode' name='promocode' />
                        <button class="btn" style="margin-left: 7px; padding-bottom: 2px;" onclick="javascript:alert('Deocio.es no ha publicado todavía ninguna PROMO'); return false;">
                            Aplicar Cupón
                        </button>
                    </td>
                    <td class="discount-code" id='promocode_price'>
                    </td>
                </tr>
                <tr class="totals">
                    <td colspan="2" class="text">
                        Total a pagar
                    </td>
                    <td class="total-price">
                        <span id='final_cost'>
                            <%= Math.Round(p.OfferPrice, 0)%></span> €
                    </td>
                </tr>
            </table>
            <div id="custom_container" style='display: block;'>
                <h1>
                    2. Tus datos</h1>
                <table id='Table1' class="items-compra " width="100%" border="0" cellspacing="0"
                    cellpadding="0">
                    <tr class="product_row">
                        <td class="amount" valign="top" style="width: 15%; text-align: left; padding-left: 40px;">
                            <strong>Nombre:</strong>
                        </td>
                        <td class="amount" valign="top" style="text-align: left;">
                            <%=  c.Customer.FirstName  %>
                            <%=  c.Customer.MiddleName  %>
                            <%=  c.Customer.LastName  %>
                        </td>
                    </tr>
                    <tr class="product_row">
                        <td class="amount" valign="top" style="text-align: left; padding-left: 40px;">
                            <strong>E-mail:</strong>
                        </td>
                        <td class="amount" valign="top" style="text-align: left;">
                            <%=  c.Customer.Email  %>
                        </td>
                    </tr>
                    <tr class="product_row">
                        <td class="amount" valign="top" style="text-align: left; padding-left: 40px;">
                            <strong>DNI:</strong>
                        </td>
                        <td class="amount" valign="top" style="text-align: left;">
                            <%=  c.Customer.DNI  %>
                        </td>
                    </tr>
                    <% 
                   int addnum = 1;
                   bool checkedSel = false;
                   foreach (DEOCIO.DataModel.Customers.dtAddress A in (IEnumerable)c.Addresses)
                   {
                    %>
                    <tr class="product_row">
                        <td class="amount" valign="top" style="text-align: right; padding-right: 10px;">
                        <% if (addnum == 1) checkedSel = true;
                           else checkedSel = false; %>
                        <%= Html.RadioButton("SelAddress", A.AddressID, checkedSel) %>
                            
                            &nbsp; Dirección
                            <%= addnum %>:
                        </td>
                        <td class="amount" valign="top" style="text-align: left;">
                            <%= A.AddressLine %>,
                            <%= A.City %>
                            (<%= A.PostalCode %>).
                            <% addnum++; %>
                        </td>
                    </tr>
                    <%

                       }
                    %>
                </table>
            </div>
            <div id="payment" style='display: block;'>
                <div id="points">
                    <h2>
                        Tus datos seguros con Deocio.es</h2>
                    <p>
                        Deocio.es te garantiza la confidencialidad de los datos aquí introducidos.</p>
                    
                </div>
                <div id="purchase_normal" style="display: block;">
                    <h1>
                        <span id='pay_number'>3</span>. Forma de pago</h1>
                    <div>
                        <div class="hide" style='display: none;'>
                        </div>
                        <label id="new-card" class="new-card">
                            <%= Html.RadioButton("PaymentType", "Visa", true) %>
                          
                            <b>Tarjeta de crédito</b>
                        </label>
                        <div id="visa-payment">
                            <label>
                                <span>Número de tarjeta</span>
                                <input type="text" id='card_n' name='card_n' size="24" maxlength="17" value="" style="width:130px;" />
                            </label>
                            <div id="selects">
                                <span>Fecha de caducidad</span>
                                <label class="select-month">
                                    <select id='expires_m' name='expires_m'>
                                        <option value='01'>01</option>
                                        <option value='02'>02</option>
                                        <option value='03'>03</option>
                                        <option value='04'>04</option>
                                        <option value='05'>05</option>
                                        <option value='06'>06</option>
                                        <option value='07'>07</option>
                                        <option value='08'>08</option>
                                        <option value='09'>09</option>
                                        <option value='10'>10</option>
                                        <option value='11'>11</option>
                                        <option value='12'>12</option>
                                    </select>
                                </label>
                                <label class="select-year">
                                    <select id='expires_y' name='expires_y'>
                                        <option value='12'>2012</option>
                                        <option value='13'>2013</option>
                                        <option value='14'>2014</option>
                                        <option value='15'>2015</option>
                                        <option value='16'>2016</option>
                                        <option value='17'>2017</option>
                                        <option value='18'>2018</option>
                                        <option value='19'>2019</option>
                                        <option value='20'>2020</option>
                                        <option value='21'>2021</option>
                                    </select>
                                </label>
                            </div>
                            <label>
                                <span id="cvcspan">CVC
                                    <img style='cursor: pointer;' onclick='visible_cvc();' src="../../Content/images/help.gif"
                                        alt="¿Qué es el código CVC?" class="right" /></span>
                                <input type="text" maxlength="3" size="3" id='cvc' name='cvc' value="" />
                            </label>
                            <div id="save_card">
                            </div>
                            <div>
                                <div id="layer_cvc" style='display: none; position: absolute; z-index: 4400; float: left;
                                    left: 639px; margin: 55px 0 0 -150px; border: 2px solid  #4c1f53;'>
                                    <p id="closerlayer">
                                        <img onclick='hidde_cvc();' src="../../Content/images/closer.png" alt="Cerrar" /></p>
                                    <img src="../../Content/images/cvc.gif" alt="" class="left" />
                                    <p>
                                        El código de seguridad son los últimos tres dígitos que aparecen en el reverso de
                                        las tarjetas de las marcas Visa, Visa Electron, MasterCard y Maestro.</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <p id="payment-button">
                <a href="#" onclick='return CheckVisa();' class="pay-now-es" style="line-height: 1.3em; color: #000;"><span id='text_normal'>
                    Realizar pago</span></a>
            </p>
            <% } %>
        </div>
          <% Html.RenderPartial("Slidebar"); %>
    </div>
</asp:Content>
